/***************************************************************************
 *   Copyright (C) 2004 by Leon Pennington                                 *
 *   leon@leonscape.co.uk                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef FEEDDIALOG_H
#define FEEDDIALOG_H

#include <kdialogbase.h>

// Forward declarations
class KLineEdit;

/**
 * A dialog for adding or modifying feeds
*/
class FeedDialog : public KDialogBase
{
   Q_OBJECT
public:
   /// Constructor
   FeedDialog( QWidget *parent = 0, const QString &name = QString::null, const QString &url = QString::null );
   /// Destructor
   ~FeedDialog() {}

   QString name();
   QString url();

private:
   KLineEdit *m_pName;
   KLineEdit *m_pURL;
};

#endif
